Activate a blockchain (triggers activation workflow)
Starts the asynchronous activation workflow for the blockchain identified by its ID, transitioning it towards the ACTIVATED state.
POST
/
blockchain_link
/
blockchains
/
{blockchainId}
/
activate
TypeScript
const response: Promise<FireblocksResponse<ActivateBlockchainResponse>> = fireblocks.blockchainLinkBeta.activateBlockchainLinkChain(blockchainLinkBetaApiActivateBlockchainLinkChainRequest);CompletableFuture<ApiResponse<ActivateBlockchainResponse>> response = fireblocks.blockchainLinkBeta().activateBlockchainLinkChain(blockchainId, idempotencyKey);response = fireblocks.blockchain_link_beta.activate_blockchain_link_chain(blockchain_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/blockchain_link/blockchains/{blockchainId}/activateconst options = {method: 'POST'};
fetch('https://api.fireblocks.io/v1/blockchain_link/blockchains/{blockchainId}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Blockchain activation started"
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
Required blockchain ID to activate
Response
Accepted
Human-readable result message.
Example:
"Blockchain activation started"
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<ActivateBlockchainResponse>> = fireblocks.blockchainLinkBeta.activateBlockchainLinkChain(blockchainLinkBetaApiActivateBlockchainLinkChainRequest);CompletableFuture<ApiResponse<ActivateBlockchainResponse>> response = fireblocks.blockchainLinkBeta().activateBlockchainLinkChain(blockchainId, idempotencyKey);response = fireblocks.blockchain_link_beta.activate_blockchain_link_chain(blockchain_id, idempotency_key);